Package weka.estimators

# Interface IncrementalEstimator

All Known Implementing Classes:
  `DiscreteEstimator`, `KernelEstimator`, `MahalanobisEstimator`, `NormalEstimator`, `PoissonEstimator`

public interface IncrementalEstimator
Interface for an incremental probability estimators.

Version:
  $Revision: 1.2 $
Author:
  Gabi Schmidberger (gabi@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`void`
`addValue(double data, double weight)`
Add one value to the current estimator.

## Method Details

### addValue

void addValue(double data, double weight)
Add one value to the current estimator.

Parameters:
  `data` - the new data value
  `weight` - the weight assigned to the data value